%define anolis_release 4
# Tests depend on pytest-jupyter and that depends back
# on jupyter-server[test] so we might need to break this loop.
%bcond_with tests

Name:           python-jupyter-server
Version:        2.5.0
Release:        %{anolis_release}%{?dist}
Summary:        The backend for Jupyter web applications
License:        BSD-3-Clause
URL:            https://jupyter-server.readthedocs.io
Source:         %{pypi_source jupyter_server}
Patch0001:     0001-Merge-pull-request-from-GHSA-r726-vmfq-j9j3.patch
Patch0002:     0002-Merge-pull-request-from-GHSA-64x5-55rw-9974.patch
Patch0003:     0003-Merge-pull-request-from-GHSA-h56g-gq9v-vc8r.patch


BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
The Jupyter Server provides the backend (i.e. the core services,
APIs, and REST endpoints) for Jupyter web applications like
Jupyter notebook, JupyterLab, and Voila.}


%description %_description

%package -n     python3-jupyter-server
Summary:        %{summary}

%description -n python3-jupyter-server %_description


%prep
%autosetup -p1 -n jupyter_server-%{version}
sed -i '/"pre-commit"/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x test}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jupyter_server


%check
%if %{with tests}
%pytest
%endif


%files -n python3-jupyter-server -f %{pyproject_files}
%{_bindir}/jupyter-server

%pyproject_extras_subpkg -n python3-jupyter-server test


%changelog
* Fri Apr 11 2025 yangjinlin01 <yangjinlin01@inspur.com> - 2.5.0-4
-fix CVE-2023-39968 CVE-2023-40170  CVE-2023-49080

* Wed Mar 27 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.5.0-3
- Rebuild with python3.11 without tests

* Thu May 18 2023 Funda Wang <fundawang@yeah.net> - 2.5.0-2
- Rebuild with tests

* Sun May 07 2023 Funda Wang <fundawang@yeah.net> - 2.5.0-1
- Import package for anolis 23
